Bug 197358 - Missing icon for "important tag" on mails
Missing icon for "important tag" on mails
Product: Fedora
Classification: Fedora
Component: gnome-icon-theme (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: 197833 (view as bug list)
Depends On:
Blocks: FC6Desktop
  Show dependency treegraph
Reported: 2006-06-30 10:37 EDT by Thomas Canniot
Modified: 2013-03-13 00:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-icon-theme-2.15.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-14 10:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Canniot 2006-06-30 10:37:48 EDT
Description of problem:
The icon used to mark a message as important is not present in evolution. A file
with a cross is displayed instead of a red circle with an exclamation mark. 

Version-Release number of selected component (if applicable):
version released with fc6t1

How reproducible:

Steps to Reproduce:
1. Open evolution
2. Look at the icon at the top on the "marked as important 
Actual results:
Showing a white page with a red cross

Expected results:
Should be a circle with an exclamation mark

Additional info:
Comment 1 Matthew Barnes 2006-06-30 13:02:28 EDT
It looks like the stock_mail-priority-high.png icon is missing from the
gnome-icon-theme package.  Verified that this file is missing from upstream CVS
and filed a bug:


Changing component to gnome-icon-theme and reassigning to johnp.
Comment 2 Matthew Barnes 2006-06-30 15:27:03 EDT
Upstream comment:
As per the naming spec, this is emblem-important in the emblems context now. A
symlink is created at install time by icon-naming-utils for backward
compatibility with the old name used by evolution.


There is no such symlink on my Rawhide machine.

Discovered that the icon-naming-utils package was not installed.

After installation there is still no such symlink.
Comment 3 Matthew Barnes 2006-07-02 07:36:44 EDT
I now believe this bug is due to the icon-name-mapping script (from the
icon-naming-utils package) not being run from the 16x16/stock/net directory upon
installation of the gnome-icon-theme package.

The following stanza, which appears in many of the gnome-icon-theme package's
Makefile.am files, invokes the icon-name-mapping script:

install-data-local: install-iconsDATA
        (cd $(DESTDIR)$(themedir)/$(size) && $(ICONMAP) -c $(context))

The above stanza is missing from the Makefile.am file located in the
16x16/stock/net directory (former home of the stock_mail-priority-high.png
icon), as well as several other icon directories.

Trying to contact upstream for confirmation.
Comment 4 Matthew Barnes 2006-07-06 14:18:01 EDT
This has now been fixed upstream.

Turns out the stanza above was missing from the */emblems/Makefile.am files, not
the 16x16/stock/net/Makefile.am file as I thought.  I was on the right track, at
Comment 5 Matthew Barnes 2006-07-06 14:20:32 EDT
*** Bug 197833 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.